import discord

from gismo_core.model.embed_description import EmbedDescription


class EmbedService:

    @staticmethod
    def get_embed(description: EmbedDescription) -> discord.Embed:
        embed = discord.Embed(
            title=description.title,
            url=description.url,
            description=description.description,
            color=int(description.color, 16)
        )

        for field in description.fields:
            embed.add_field(name=field.name, value=field.value, inline=field.inline)

        if description.footer is not None:
            embed.set_footer(text=description.footer)

        return embed
